Bug 381532 - Differentiate tabs with identical filenames
Summary: Differentiate tabs with identical filenames
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: application (show other bugs)
Version: 17.04.2
Platform: Archlinux Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-22 15:28 UTC by Daniel Cohen
Modified: 2022-02-10 21:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.92


Attachments
example of how sublime handles this (282.66 KB, image/png)
2017-06-22 15:28 UTC, Daniel Cohen
Details
Kate with three identically named files (10.39 KB, image/png)
2017-06-22 15:34 UTC, Daniel Cohen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Cohen 2017-06-22 15:28:30 UTC
Created attachment 106228 [details]
example of how sublime handles this

When multiple files are opened with the same filename but are in different directories, it is rather difficult to tell which one is which.

Sublime seems to manage this by appending the filepath up to the first folder that has a different name, e.g.

instead of 

tab1: main.yaml 
tab2: main.yaml

it has

tab1: main.yaml - handlers
tab2: main.yaml - defaults

although it seems to inconsistently display either just the first parent folder that is unique, or two levels of folder (e.g. main.yaml - caddy-ansible/handlers).

The documents view helps solve this issue, but this uses up a fair amount of valuable real estate and overkill in comparison to the sublime solution.
Comment 1 Daniel Cohen 2017-06-22 15:34:51 UTC
Created attachment 106229 [details]
Kate with three identically named files
Comment 2 Christoph Cullmann 2019-05-19 15:05:39 UTC
Dear user, this wish list item is now closed, as it wasn't touched in the last year and no contributor stepped up to implement it.

The Kate/KTextEditor team is small and we can just try to keep up with fixing bugs.

Therefore wishes that show no activity for a years or more will be closed from now on to keep at least a bit overview about 'current' wishs of the users.
If you want your feature to be implemented, please step up to provide some patch for it.

If you think it is really needed, you can reopen your request, but keep in mind,
if no new good arguments are made and no people get attracted to help out to implement it,
it will expire in a year again.

We have a nice website https://kate-editor.org that provides all the information needed to contribute, please make use of it.

Patches can be handed in via https://phabricator.kde.org/differential/

Greetings
Christoph Cullmann
Comment 3 Nate Graham 2019-05-21 16:03:56 UTC
Still valid.
Comment 4 Dominik Haumann 2019-05-21 21:28:53 UTC
Possible patch: https://phabricator.kde.org/D21287
Comment 5 Allen Winter 2019-11-10 17:41:57 UTC
Can we resurrect the patch and try again?

My 2cents:
emacs does similar to sublime , except has main.yml<handlers> instead of main.yml - handlers.  no big deal either way.

better than what we currently have: main.yaml and main.yaml(2)
Comment 6 Bug Janitor Service 2022-02-05 17:52:43 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/ktexteditor/-/merge_requests/279
Comment 7 Christoph Cullmann 2022-02-07 20:08:11 UTC
Git commit 3963c49cefa621f85281494a26e7c10878463fe2 by Christoph Cullmann, on behalf of Waqar Ahmed.
Committed on 07/02/2022 at 19:50.
Pushed by cullmann into branch 'master'.

Differentiate docs with identical filenames

M  +88   -0    src/document/katedocument.cpp
M  +1    -0    src/document/katedocument.h

https://invent.kde.org/frameworks/ktexteditor/commit/3963c49cefa621f85281494a26e7c10878463fe2